Subject: Re: [PATCH] PCI: mvebu: Restrict build to 32-bit ARM

From: Arnd Bergmann <[email-masked]>
Date: Thu, 18 Feb 2016 15:41:45 +0100

On Thursday 18 February 2016 15:34:30 Gregory CLEMENT wrote:
>  On jeu., févr. 18 2016, Arnd Bergmann <[email-masked]> wrote:
> 
> > On Thursday 18 February 2016 14:32:10 Thierry Reding wrote:
> >> From: Thierry Reding <[email-masked]>
> >> 
> >> This driver uses PCI glue that is only available on 32-bit ARM. This
> >> used to work fine as long as ARCH_MVEBU and ARCH_DOVE were exclusively
> >> 32-bit, but that's changed now, with ARCH_MVEBU also being available
> >> on 64-bit ARM.
> >> 
> >> Signed-off-by: Thierry Reding <[email-masked]>
> >
> > Looks fine as a temporary workaround, but I think what we really want to
> > do here is to remove the dependency, as the new ARM64 platforms are going
> > to need this driver anyway.
> 
> Actually the mvebu ARM64 platform we know about (Armada 3700, 7K and
> 8K), won't use the same controller. A7K/A8K will use a synopsis IP and
> Armada 3700 a new Marvell IP.
> 
> So for me depending on ARM32 is enough.

Ah, that makes things much easier indeed.

Does this mean no more MBUS on the 64-bit platforms too?

	Arnd